#include <bits/stdc++.h>
using namespace std;

int br_nacina(long long d){
	int i = 0;
	while (d){
		if (d >= 5)
			d -= 5;
		else if (d >= 2)
			d -= 2;
		else
			d--;
		i++;
	}
	return i;
}

int main(){
	ios::sync_with_stdio(false);
	cin.tie(0);
	long long v, k, d;
	cin >> v;

	int i = 0;
	k = pow(10, int(log10(v)));
	while (v){
		d = v / k;
		v -= d * k;
		i += br_nacina(d);
		k /= 10;
	}

	cout << i << '\n';

	return 0;
}